Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76706 - A typo in help message in ssh-add
Summary: A typo in help message in ssh-add
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 06:07 UTC by Krzysio (Chris) Leszczynski
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-04 13:09:37 UTC


Attachments (Terms of Use)

Description Krzysio (Chris) Leszczynski 2002-10-25 06:07:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
"ssh-add -h" shows the options
  -x Unlock agent.
instead of
  -X Unlock agent.


Version-Release number of selected component (if applicable):
openssh-clients-3.4p1-2


How reproducible:
Always

Steps to Reproduce:
1. ssh-add -h

	

Actual Results:  In the help message there is an incorrect line "-x Unlock agent."


Expected Results:  The above line should be "-X Unlock agent.".
The description in "man ssh-add" is correct.

Additional info:

Comment 1 Peter van Egdom 2003-04-21 10:24:58 UTC
Seems fixed in "openssh-3.5p1-6" on Red Hat Linux release 9 (Shrike).

[peterve@powermate ssh]$ ssh-add -h
ssh-add: illegal option -- h
Usage: ssh-add [options]
Options:
  -l          List fingerprints of all identities.
  -L          List public key parameters of all identities.
  -d          Delete identity.
  -D          Delete all identities.
  -x          Lock agent.
  -X          Unlock agent.
  -t life     Set lifetime (in seconds) when adding identities.
[peterve@powermate ssh]$ man ssh-add |col -b |grep -i unlock
     -X      Unlock the agent.
[peterve@powermate ssh]$ cat /etc/redhat-release
Red Hat Linux release 9 (Shrike)
[peterve@powermate ssh]$



Note You need to log in before you can comment on or make changes to this bug.